class C {
    static public void main(String[] args) {
	final int q = 4;
	class Foo {
	    Foo(int arg) { }
	    void m() { 
		final int i = 5 + q;
		Object o = new Foo(12) { 
			void foo() { 
			    int j = i + 4;
			} 
		    };

	    }
	}

	new Foo(5);

    }

}
